Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class BlogService

    java.lang.Object
      net.sourceforge.pebble.domain.BlogService

    public class BlogService

extends java.lang.Object

Service that encompasses all functionality related to getting, putting and removing blog entries and static pages.

Author:
  Simon Brown

Constructor Summary
`BlogService()`

Method Summary
`java.util.List<BlogEntry>` | `getBlogEntries(Blog blog)` Gets all blog entries for the specified blog.
`java.util.List<BlogEntry>` | `getBlogEntries(Blog blog, int year, int month)`
`java.util.List<BlogEntry>` | `getBlogEntries(Blog blog, int year, int month, int day)`
`BlogEntry` | `getBlogEntry(Blog blog, java.lang.String blogEntryId)` Gets the blog entry with the specified id.
`Response` | `getResponse(Blog blog, java.lang.String responseId)` Gets the blog entry with the specified id.
`StaticPage` | `getStaticPageById(Blog blog, java.lang.String pageId)` Gets the page with the specified id.
`StaticPage` | `getStaticPageByName(Blog blog, java.lang.String name)` Gets the static page with the specified name.
`java.util.List<StaticPage>` | `getStaticPages(Blog blog)` Gets the list of static pages for the given blog.
`void` | `putBlogEntry(BlogEntry blogEntry)` Puts the blog entry with the specified id.
`void` | `putStaticPage(StaticPage staticPage)` Puts the static page.
`void` | `removeBlogEntry(BlogEntry blogEntry)` Removes this blog entry.
`void` | `removeStaticPage(StaticPage staticPage)` Removes a static page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlogService

    public BlogService()

Method Detail

### getBlogEntry

    public BlogEntry getBlogEntry(Blog blog,
                                  java.lang.String blogEntryId)
                           throws BlogServiceException

  Gets the blog entry with the specified id.

  Parameters:
    `blogEntryId` - the id of the blog entry
  Returns:
    a BlogEntry instance, or null if the entry couldn't be found
  Throws:
    `BlogServiceException`

### getBlogEntries

    public java.util.List<BlogEntry> getBlogEntries(Blog blog,
                                                    int year,
                                                    int month,
                                                    int day)
                                             throws BlogServiceException

  Throws:
    `BlogServiceException`

### getBlogEntries

    public java.util.List<BlogEntry> getBlogEntries(Blog blog,
                                                    int year,
                                                    int month)
                                             throws BlogServiceException

  Throws:
    `BlogServiceException`

### getBlogEntries

    public java.util.List<BlogEntry> getBlogEntries(Blog blog)
                                             throws BlogServiceException

  Gets all blog entries for the specified blog.

  Returns:
    a List of BlogEntry objects
  Throws:
    `BlogServiceException`

### putBlogEntry

    public void putBlogEntry(BlogEntry blogEntry)
                      throws BlogServiceException

  Puts the blog entry with the specified id.

  Throws:
    `BlogServiceException`

### removeBlogEntry

    public void removeBlogEntry(BlogEntry blogEntry)
                         throws BlogServiceException

  Removes this blog entry.

  Throws:
    `BlogServiceException`

### getResponse

    public Response getResponse(Blog blog,
                                java.lang.String responseId)
                         throws BlogServiceException

  Gets the blog entry with the specified id.

  Parameters:
    `responseId` - the id of the response
  Returns:
    a response instance, or null if the entry couldn't be found
  Throws:
    `BlogServiceException`

### getStaticPages

    public java.util.List<StaticPage> getStaticPages(Blog blog)
                                              throws BlogServiceException

  Gets the list of static pages for the given blog.

  Parameters:
    `blog` - the Blog
  Returns:
    a list of BlogEntry instances
  Throws:
    `BlogServiceException`

### getStaticPageById

    public StaticPage getStaticPageById(Blog blog,
                                        java.lang.String pageId)
                                 throws BlogServiceException

  Gets the page with the specified id.

  Parameters:
    `pageId` - the id of the blog entry
    `blog` - the Blog
  Returns:
    a Page instance, or null if the page couldn't be found
  Throws:
    `BlogServiceException`

### getStaticPageByName

    public StaticPage getStaticPageByName(Blog blog,
                                          java.lang.String name)
                                   throws BlogServiceException

  Gets the static page with the specified name.

  Parameters:
    `name` - the name of the static page
    `blog` - the Blog
  Returns:
    a StaticPage instance, or null if the page couldn't be found
  Throws:
    `BlogServiceException`

### putStaticPage

    public void putStaticPage(StaticPage staticPage)
                       throws BlogServiceException

  Puts the static page.

  Throws:
    `BlogServiceException`

### removeStaticPage

    public void removeStaticPage(StaticPage staticPage)
                          throws BlogServiceException

  Removes a static page.

  Throws:
    `BlogServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.